import Vue from 'vue'
import Router from 'vue-router'
// import HelloWorld from '@/components/HelloWorld'
import Login from '@/components/Login'
import ControlPanel from '@/components/ControlPanel'
import ChannelList from '@/components/ControlPanel/channelList'
import Channel from '@/components/ControlPanel/channel'
import ChannelOpay from '@/components/ControlPanel/channel/opay'

import PublicOpayBar from '@/components/showDonateBar'

Vue.use(Router)

export default new Router({
  mode: 'history',
  base: process.env.BASE_URL,
  routes: [
    {
      path: '/',
      name: 'Login',
      component: Login
    },
    {
      path: '/cp',
      name: 'ControlPanel',
      component: ControlPanel,
      children: [
        {
          path: 'channels',
          alias: '',
          name: 'ChannelList',
          component: ChannelList,
          meta: {
            topMenu: 'channel'
          }
        },
        {
          path: 'channel/:chid',
          alias: '',
          name: 'Channel',
          component: Channel,
          meta: {
            topMenu: 'channel',
            side: ''
          },
          children: [
            {
              path: 'opay',
              name: 'ChannelOpay',
              component: ChannelOpay,
              meta: {
                side: 'opay'
              }
            }
          ]
        },
        {
          path: '*',
          redirect: 'channels'
        }
      ]
    },
    {
      path: '/donatebar/:chid/opay',
      name: 'PublicOpayBar',
      component: PublicOpayBar
    }
  ]
})
